del *.gs?
del *.log
del *.sl4
del *.slc
del *.ud?
del *.upd
del orng*.har
del diag*.har
del summ*.har
del/s *.bak
rem del *.har
rem copy rawdata\*.har

rem goto skip

REM READ1   Read in raw Chinese 2002 IO table: constrain error + stocks to max 3% of costs
REM INFILE  = raw2002.har; ! Raw data from XLS
REM OUTFILE = read1.har;   ! HAR output
title read1
tablo -pgs read1
if errorlevel 1 goto err
gemsim -cmf read1.cmf
if errorlevel 1 goto err

REM SCALIO eliminate imbalance caused by error/stock adjustment
REM INFILE = read1.har; ! input: IO table to be scaled
REM OUTFILE = scalio.har; ! output: scaled IO table and diagnostics
title scalio
tablo -pgs scalio
if errorlevel 1 goto err
gemsim -cmf scalio.cmf >nul:
if errorlevel 1 goto err

:skip

REM READ2   check and process scaled IO Table  
REM INFILE  = scalio.har;  ! scaled IO table
REM OUTFILE = read2.har;   ! HAR output
title read2
tablo -pgs read2
if errorlevel 1 goto err
gemsim -cmf read2.cmf >nul:
if errorlevel 1 goto err


REM DISAGG
REM INFILE = read2.HAR ;
REM DAGGFILE (input) = splitchn.HAR;!gwsplit\splitchn.HAR
REM OUTFILE = DISAGG.HAR;
title disagg
tablo -pgs disagg
if errorlevel 1 goto err
gemsim -cmf disagg.cmf  
if errorlevel 1 goto err

REM MKORNG
REM InFile = disagg.har; ! input file
REM REgshares = shares.har; ! gwsplit\shares.har;
REM OutFile = oranigA.har; ! temp output ORANIG file
title mkorng
tablo -pgs mkorng
if errorlevel 1 goto err
gemsim -cmf mkorng.cmf   
if errorlevel 1 goto err


REM TEST SIMULATION
title oranig
tablo -sti oranig.sti >nul:
if errorlevel 1 goto err
gemsim -cmf oranigsr.cmf  
if errorlevel 1 goto err

rem copy oranig.har \chterm\data\national.har

title FINISHED OK
echo FINISHED OK
dir/od *.har
goto endbat

:err
title PROBLEM
echo PROBLEM
dir/od *.log
goto endbat

:endbat